Bug 16696 - Rename "Publisher" to "Publication details" on detail and result lists
Summary: Rename "Publisher" to "Publication details" on detail and result lists
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks: 26825
  Show dependency treegraph
 
Reported: 2016-06-08 15:52 UTC by Katrin Fischer
Modified: 2020-11-19 22:18 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 16696: Rename 'Publisher' to 'Published' on detail and result lists (7.20 KB, patch)
2017-02-27 20:38 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16696: Rename 'Publisher' to 'Published' on detail and result lists (7.37 KB, patch)
2017-02-28 16:14 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16696: [Alternative] Rename 'Publisher' to 'Publication details' on detail and result lists (7.63 KB, patch)
2020-10-26 23:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16696: [Alternative] Rename 'Publisher' to 'Publication details' on detail and result lists (7.67 KB, patch)
2020-10-27 10:23 UTC, David Nind
Details | Diff | Splinter Review
Bug 16696: Rename 'Publisher' to 'Publication details' on detail and result lists (7.69 KB, patch)
2020-10-30 13:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16696: Fix search_utf8.t (2.09 KB, patch)
2020-11-05 15:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-06-08 15:52:43 UTC
The information from 260 is shown with the label "Publisher" on the detail pages and results lists in Koha. But in some cases there might only be a year or a place and not a publisher. A library suggested to rename the label "Published" to be more broad and easier to understand for users in those cases.
Comment 1 Aleisha Amohia 2017-02-27 20:38:15 UTC
Created attachment 60722 [details] [review]
Bug 16696: Rename 'Publisher' to 'Published' on detail and result lists

To test:
1) Do a catalog search in staff client
2) Confirm 'Publisher' says 'Published' for each result in search
3) Click on a record to go to the detail page
4) Confirm 'Publisher' says 'Published'
5) Click the Items tab on the left
6) Confirm 'Publisher' says 'Published'
7) Do a search in the OPAC
8) Confirm 'Publisher' says 'Published' for each result in search
9) Click on a record to go to the detail page
10) Confirm 'Publisher' sas 'Published'

Sponsored-by: Catalyst IT
Comment 2 Marc Véron 2017-02-28 16:14:17 UTC
Created attachment 60733 [details] [review]
Bug 16696: Rename 'Publisher' to 'Published' on detail and result lists

To test:
1) Do a catalog search in staff client
2) Confirm 'Publisher' says 'Published' for each result in search
3) Click on a record to go to the detail page
4) Confirm 'Publisher' says 'Published'
5) Click the Items tab on the left
6) Confirm 'Publisher' says 'Published'
7) Do a search in the OPAC
8) Confirm 'Publisher' says 'Published' for each result in search
9) Click on a record to go to the detail page
10) Confirm 'Publisher' sas 'Published'

Sponsored-by: Catalyst IT

Followed test plan, works as expected
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Marcel de Rooy 2017-03-31 09:52:26 UTC
Hmm Not sure what to do with this patch.
If there is only a publisher, we would create the same problem as we have now?
Then we have Published SomeName. That is odd too?
Comment 4 Nick Clemens 2017-05-02 09:39:15 UTC
"Publication details" or  maybe break the field into 3 and label each?
Comment 5 Marcel de Rooy 2017-06-02 09:09:00 UTC
Moving to In Discussion. Not ready for inclusion.
Do you have another idea, Aleisha? Or someone else?
Comment 6 Katrin Fischer 2019-02-04 23:30:38 UTC
Publication details would work for me.
Comment 7 Aleisha Amohia 2019-02-04 23:31:49 UTC
(In reply to Katrin Fischer from comment #6)
> Publication details would work for me.

Cool can do
Comment 8 Katrin Fischer 2020-10-26 23:15:30 UTC
Created attachment 112545 [details] [review]
Bug 16696: [Alternative] Rename 'Publisher' to 'Publication details' on detail and result lists

To test:
1) Do a catalog search in staff client
2) Confirm 'Publisher' says 'Publication details' for each result in search
3) Click on a record to go to the detail page
4) Confirm 'Publisher' says 'Publication details'
5) Click the Items tab on the left
6) Confirm 'Publisher' says 'Publication details'
7) Do a search in the OPAC
8) Confirm 'Publisher' says 'Published' for each result in search
9) Click on a record to go to the detail page and switch to the items tab
10) Confirm 'Publisher' says 'Publication details' on top of the page
Comment 9 Katrin Fischer 2020-10-26 23:16:37 UTC
Posting an alternativ patch to get some movement here. Aleisha's currently doesn't apply, but proposes the exact same changes just using 'Published' instead of 'Publication details'.
Comment 10 David Nind 2020-10-27 10:23:37 UTC
Created attachment 112547 [details] [review]
Bug 16696: [Alternative] Rename 'Publisher' to 'Publication details' on detail and result lists

To test:
1) Do a catalog search in staff client
2) Confirm 'Publisher' says 'Publication details' for each result in search
3) Click on a record to go to the detail page
4) Confirm 'Publisher' says 'Publication details'
5) Click the Items tab on the left
6) Confirm 'Publisher' says 'Publication details'
7) Do a search in the OPAC
8) Confirm 'Publisher' says 'Published' for each result in search
9) Click on a record to go to the detail page and switch to the items tab
10) Confirm 'Publisher' says 'Publication details' on top of the page

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 Tomás Cohen Arazi 2020-10-30 13:52:16 UTC
Created attachment 112696 [details] [review]
Bug 16696: Rename 'Publisher' to 'Publication details' on detail and result lists

To test:
1) Do a catalog search in staff client
2) Confirm 'Publisher' says 'Publication details' for each result in search
3) Click on a record to go to the detail page
4) Confirm 'Publisher' says 'Publication details'
5) Click the Items tab on the left
6) Confirm 'Publisher' says 'Publication details'
7) Do a search in the OPAC
8) Confirm 'Publisher' says 'Published' for each result in search
9) Click on a record to go to the detail page and switch to the items tab
10) Confirm 'Publisher' says 'Publication details' on top of the page

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 12 Jonathan Druart 2020-11-04 12:02:27 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Jonathan Druart 2020-11-05 15:29:04 UTC
Created attachment 113125 [details] [review]
Bug 16696: Fix search_utf8.t
Comment 14 Jonathan Druart 2020-11-05 15:29:51 UTC
(In reply to Jonathan Druart from comment #13)
> Created attachment 113125 [details] [review] [review]
> Bug 16696: Fix search_utf8.t

Patch pushed to master for 20.11
Comment 15 Lucas Gass 2020-11-16 22:03:09 UTC
enhancement will not be backported to 20.05.x